Important notice

If you already have version 0.4.x installed, it must be uninstalled prior to installing version 1.x. Even after uninstalling 0.4.x, some files may remain. The folder containing these must be removed manually.

  • Windows:
  • Linux:


Python版 source code OpenRTM-aist-Python-1.1.0-RC1.tar.gz
Python版 source code (Win32)


Windows installer (For Python 2.4,2.5 and 2.6)

To install using OpenRTM-aist-Python-1.1.0.msi, Python version 2.4, 2.5 or 2.6 is necessary. The OpenRTM-aist-Python-1.1.0.msi installer will detect the installed Python versions and install OpenRTM-aist and omniORBpy into each of them. There is no need to install omniORBpy separately.

Windows installer OpenRTM-aist-Python-1.1.0-RC1.msi
Python-2.4.4 python-2.4.4.msi
Python-2.5.1 python-2.5.1.msi
Python-2.6.2 python-2.6.2.msi

Linux packages provides repositories containing packages for Debian, Ubuntu. Please see the following pages for details.

Distribution Supported versions Install script
Ubuntu 8.04, 10.04, 10.10, 11.04 (i386/x86_64)
Debian 5.0 (i386, x86_64)

Release notes: 1.1.0-RC1

1.1.0-RC1, the newest version of OpenRTM-aist for Python, was released on the 4th of Oct 2011.

Source code, Windows installers, and Linux packages are available from the OpenRTM-aist official website under the LGPL or a separate commercial license purchased from the National Institute of Advanced Science and Technology.

Prior releases required installing many tools to create the build environment. This release includes installers, particularly for Windows, that combine all tools and necessary libraries, such as omniORBpy, into one. It is simple to install the entire OpenRTM-aist environment with a single action.

  • OpenRTM-aist-Python-1.1.0-RC1.tar.gz -- released 2011.10.04
    • Some APIs have been added.
      • Call back APIs.
      • Call backs for execution contexts.
    • SDO service frameworks
    • Misc bug fixes.
    • Experimental
      • Observer SDO service has been introduced.
    • Supported version of Python
      • 2.4
      • 2.5
      • 2.6
    • Supported operating systems (verified).
      • Debian5.0-i386
      • Ubuntu 8.04-i386
      • Ubuntu 10.04LTS-i386
      • Ubuntu 10.10-i386
      • Ubuntu 11.04-i386
      • Windows XP
      • Windows Vista
      • Windows7

latest Releases

For Begginers

Windows msi(installer) package (only trying samples)

Development environment is required for RT-Component development. See download page for details.

Number of Projects


Dynamics simulator


Human-Robot-Interaction RTCs


Integrated Development Platform


Mobile Robot RTCs